part of 'order_tabs_bloc.dart';

abstract class OrderTabsEvent extends Equatable {
  const OrderTabsEvent();

  @override
  List<Object?> get props => [];
}

class FetchOpenOrders extends OrderTabsEvent {
  const FetchOpenOrders({required this.symbol});
  final String symbol;

  @override
  List<Object?> get props => [symbol];
}

class FetchOrderHistory extends OrderTabsEvent {
  const FetchOrderHistory({required this.symbol});
  final String symbol;

  @override
  List<Object?> get props => [symbol];
}
